Summary: 	Library to create and manage 64-bit disk based hash tables	
Name: 		dbh
Version: 	5.0.7
Release: 	2
License:	LGPL
URL: 		http://dbh.sourceforge.net/
Source0: 	%{name}-%{version}.tar.gz
Group: 		Databases
BuildRoot: 	%{_tmppath}/%{name}-root
Requires:	glib2 >= 2.4.0

BuildRequires: 	glib2-devel >= 2.4.0
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake >= 1.11.0
BuildRequires:	libtool >= 2.2.6
BuildRequires:	intltool >= 0.41.1



%description
Full source files for library to create and manage hash tables residing 
on disk. Associations are made between keys and 
values so that for a given a key the value can be 
found and loaded into memory quickly. Being disk based 
allows for large and persistent hashes. 64 bit support
allows for hashtables with sizes over 4 Gigabytes on 32
bit systems. Cuantified key generation allows for 
minimum access time on balanced multidimensional trees.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README TODO ChangeLog NEWS INSTALL COPYING AUTHORS
   /usr/man/man1/dbh.1.gz
   /usr/man/man1/dbh.h.1.gz
   /usr/man/man3/dbh_close.3.gz
   /usr/man/man3/dbh_create.3.gz
   /usr/man/man3/dbh_destroy.3.gz
   /usr/man/man3/dbh_erase.3.gz
   /usr/man/man3/dbh_exit_fanout.3.gz
   /usr/man/man3/dbh_exit_sweep.3.gz
   /usr/man/man3/dbh_fanout.3.gz
   /usr/man/man3/dbh_find.3.gz
   /usr/man/man3/dbh_foreach_fanout.3.gz
   /usr/man/man3/dbh_foreach_sweep.3.gz
   /usr/man/man3/dbh_genkey.3.gz
   /usr/man/man3/dbh_genkey2.3.gz
   /usr/man/man3/dbh_load.3.gz
   /usr/man/man3/dbh_load_address.3.gz
   /usr/man/man3/dbh_load_child.3.gz
   /usr/man/man3/dbh_load_parent.3.gz
   /usr/man/man3/dbh_macros.3.gz
   /usr/man/man3/dbh_open.3.gz
   /usr/man/man3/dbh_open_ro.3.gz
   /usr/man/man3/dbh_orderkey.3.gz
   /usr/man/man3/dbh_prune.3.gz
   /usr/man/man3/dbh_regen_fanout.3.gz
   /usr/man/man3/dbh_regen_sweep.3.gz
   /usr/man/man3/dbh_set_data.3.gz
   /usr/man/man3/dbh_set_key.3.gz
   /usr/man/man3/dbh_set_recordsize.3.gz
   /usr/man/man3/dbh_set_size.3.gz
   /usr/man/man3/dbh_settempdir.3.gz
   /usr/man/man3/dbh_sweep.3.gz
   /usr/man/man3/dbh_unerase.3.gz
   /usr/man/man3/dbh_unprune.3.gz
   /usr/man/man3/dbh_update.3.gz
   /usr/man/man3/dbh_writeheader.3.gz

%{_bindir}
%{_libdir}
%{_datadir}
%{_includedir}

